// origin bilateral canny
varying highp vec2 vTextureCoord1;
varying highp vec2 vTextureCoord2;
varying highp vec2 vTextureCoord3;

uniform sampler2D uTexture1;
uniform sampler2D uTexture2;
uniform sampler2D uTexture3;

uniform mediump float uSmoothDegree;

void main(){
   highp vec4 origin =texture2D(uTexture1,vTextureCoord1);
   highp vec4 bilateral =texture2D(uTexture2,vTextureCoord2);
   highp vec4 canny =texture2D(uTexture3,vTextureCoord3);
   highp vec4 vsmooth;
   lowp float r=origin.r;
   lowp float g=origin.g;
   lowp float b=origin.b;

   if (canny.r < 0.2 && r > 0.3725 && g > 0.1568 && b > 0.0784 && r > b && (max(max(r, g), b) - min(min(r, g), b)) > 0.0588 && abs(r-g) > 0.0588) {
       vsmooth = (1.0 - uSmoothDegree) * (origin - bilateral) + bilateral;
   }
   else {
       vsmooth= origin;
   }

   vsmooth.r = log(1.0 + 0.2 * vsmooth.r)/log(1.2);
   vsmooth.g = log(1.0 + 0.2 * vsmooth.g)/log(1.2);
   vsmooth.b = log(1.0 + 0.2 * vsmooth.b)/log(1.2);

   gl_FragColor=vsmooth;
}
