precision lowp float;

varying vec2 textureCoordinate;
varying vec2 leftTextureCoordinate;
varying vec2 rightTextureCoordinate;

varying vec2 topTextureCoordinate;
varying vec2 topLeftTextureCoordinate;
varying vec2 topRightTextureCoordinate;

varying vec2 bottomTextureCoordinate;
varying vec2 bottomLeftTextureCoordinate;
varying vec2 bottomRightTextureCoordinate;

uniform sampler2D uTexture;

void main()
{
    float bottomLeftIntensity = texture2D(uTexture, bottomLeftTextureCoordinate).r;
    float topRightIntensity = texture2D(uTexture, topRightTextureCoordinate).r;
    float topLeftIntensity = texture2D(uTexture, topLeftTextureCoordinate).r;
    float bottomRightIntensity = texture2D(uTexture, bottomRightTextureCoordinate).r;
    float leftIntensity = texture2D(uTexture, leftTextureCoordinate).r;
    float rightIntensity = texture2D(uTexture, rightTextureCoordinate).r;
    float bottomIntensity = texture2D(uTexture, bottomTextureCoordinate).r;
    float topIntensity = texture2D(uTexture, topTextureCoordinate).r;
    float centerIntensity = texture2D(uTexture, textureCoordinate).r;

    float pixelIntensitySum = bottomLeftIntensity + topRightIntensity + topLeftIntensity + bottomRightIntensity + leftIntensity + rightIntensity + bottomIntensity + topIntensity + centerIntensity;
    float sumTest = step(1.5, pixelIntensitySum);
    float pixelTest = step(0.01, centerIntensity);

    gl_FragColor = vec4(vec3(sumTest * pixelTest), 1.0);
}